Subject: bug#25905: 25.1; Can't find regexp and replace in SVG files

From: Dmitry Gutov <[email-masked]>
Date: Sat, 12 Dec 2020 23:29:20 +0200

On 12.12.2020 21:56, Lars Ingebrigtsen wrote:
> But I wonder whether this problem should nevertheless have a general
> solution.  That is, should this command have a variation that works on
> literal files instead?  Perhaps a prefix of `C-u' to make the query
> replace use find-file-literally?

Perhaps there could be a whitelist of such modes instead, with commands 
that can be used to switch buffer contents to "replacable" form?

At least in this particular example, it's hard for me to imagine users 
*not* wanting the replacements work by default. So it makes sense as the 
default behavior.